export const lineDashObj = [
  undefined,
  [5, 5],
  [10, 10],
  [10, 10, 2, 10],
  [1, 16],
];

/**
 * 默认动画
 */
export const normalAnimate: any = {
  upDown: [
    {
      y: -10,
      duration: 100,
    },
    { y: 0, duration: 100 },
    { y: -10, duration: 200 },
  ],
  leftRight: [
    {
      x: -10,
      duration: 100,
    },
    {
      x: 10,
      duration: 80,
    },
    {
      x: -10,
      duration: 50,
    },
    {
      x: 10,
      duration: 30,
    },
    {
      x: 0,
      duration: 300,
    },
  ],
  heart: [
    {
      // 通过 scale 来替代原版心跳
      scale: 1.1,
      duration: 100,
    },
    {
      scale: 1,
      duration: 400,
    },
  ],
  success: [{ background: "#389e0d22", color: "#237804", duration: 500 }],
  warning: [
    {
      color: "#fa8c16",
      lineDash: [10, 10],
      duration: 300,
    },
    {
      color: "#fa8c16",
      lineDash: undefined,
      duration: 500,
    },
    {
      color: "#fa8c16",
      lineDash: [10, 10],
      duration: 300,
    },
  ],
  error: [{ color: "#cf1322", background: "#cf132222", duration: 100 }],
  show: [
    {
      color: "#fa541c",
      rotate: -10,
      duration: 100,
    },
    {
      color: "#fa541c",
      rotate: 10,
      duration: 100,
    },
    {
      color: "#fa541c",
      rotate: 0,
      duration: 100,
    },
  ],
  rotate: [
    {
      rotate: 360,
      duration: 1000,
    },
  ],
};
